<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/readpatran.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>readpatran.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for readpatran.c:</div>
<div class="dynsection">
<div class="center"><img src="readpatran_8c__incl.png" border="0" usemap="#io_2readpatran_8c_map" alt=""/></div>
<map name="io_2readpatran_8c_map" id="io_2readpatran_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="159,86,244,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="readpatran_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="readpatran_8c.html#a4e53aaaa9226ca0805f1f006e8bda38a">ReadPatran</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a4e53aaaa9226ca0805f1f006e8bda38a"></a><!-- doxytag: member="readpatran.c::ReadPatran" ref="a4e53aaaa9226ca0805f1f006e8bda38a" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadPatran </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readpatran_8c_source.html#l00031">31</a> of file <a class="el" href="readpatran_8c_source.html">readpatran.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="readpatran_8c_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph.png" border="0" usemap="#readpatran_8c_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph_map" alt=""></div>
<map name="readpatran_8c_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph_map" id="readpatran_8c_a4e53aaaa9226ca0805f1f006e8bda38a_icgraph">
<area shape="rect" id="node3" href="readmesh_8c.html#a365fc802eafb717ba4c584655d1e9b64" title="ReadMesh" alt="" coords="145,5,228,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="279,5,337,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="387,5,437,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

